> ## Documentation Index
> Fetch the complete documentation index at: https://developer.novacpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Direct Card Charge



## OpenAPI

````yaml post /api/v1/direct-card-charge
openapi: 3.0.1
info:
  title: NOVAC API
  version: v1
servers:
  - url: https://api.novacpayment.com/
security:
  - Bearer: []
paths:
  /api/v1/direct-card-charge:
    post:
      tags:
        - Collection
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DirectChargeRequestDto'
          text/json:
            schema:
              $ref: '#/components/schemas/DirectChargeRequestDto'
          application/*+json:
            schema:
              $ref: '#/components/schemas/DirectChargeRequestDto'
      responses:
        '200':
          description: OK
components:
  schemas:
    DirectChargeRequestDto:
      type: object
      properties:
        amount:
          type: number
          format: double
        card:
          type: string
          nullable: true
        currency:
          type: string
          nullable: true
        reference:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        transactionType:
          type: string
          nullable: true
        enforceSecureAuth:
          type: boolean
        redirectUrl:
          type: string
          nullable: true
        metaData:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Input your API key (e.g. your public key) as a Bearer token to access
        this API.
      name: Authorization
      in: header

````